Subject: git-pull and tag objects

From: Alex Bennee <[email-masked]>
Date: Thu, 08 Feb 2007 11:16:46 +0000

Hi,

I have a master repositary which I keep in sync with a CVS server. Each
time it imports a new baseline it tags it with the baseline tag we use.
This allows for easy branching of "baseline" levels.

I have slave repositaries which are cloned of the baseline which I do my
development in. However when I bring the master branch of these work
repositaries upto date (via git-pull ../baseline master) I find the tag
objects are lost. Should they not be part of the tree? After all when I
sync to Linus's kernel repo I get all his version tags as part of that.

-- 
Alex, homepage: http://www.bennee.com/~alex/
"Spare no expense to save money on this one." -- Samuel Goldwyn